summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorf-koehler2015-06-09 01:28:11 +0200
committerf-koehler2015-06-09 01:28:11 +0200
commit7ef04c6eb83fa320bea5a842079e1258d0d26498 (patch)
tree3e4be9df2d206d6ada62781a760803cc228175fc
downloadaur-7ef04c6eb83fa320bea5a842079e1258d0d26498.tar.gz
Init
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD33
-rw-r--r--autogen.patch29
-rw-r--r--stdint.patch10
4 files changed, 91 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e9633674fff
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = dieharder
+ pkgdesc = A Random Number Test Suite
+ pkgver = 3.31.1
+ pkgrel = 4
+ url = http://www.phy.duke.edu/~rgb/General/dieharder.php
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = gsl
+ provides = dieharder
+ source = http://www.phy.duke.edu/~rgb/General/dieharder/dieharder-3.31.1.tgz
+ source = autogen.patch
+ source = stdint.patch
+ sha256sums = 6cff0ff8394c553549ac7433359ccfc955fb26794260314620dfa5e4cd4b727f
+ sha256sums = 0df2d1957accfebba3e4083f7e1184aac10091c93f79a3174c79ebdae613831d
+ sha256sums = 1ea17f15580fa9ac8831d20a3e4f5c412b8330bf2183f704371e167206497714
+
+pkgname = dieharder
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8f38c1c5e6b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Fabian Köhler <fabian2804 (AT) googlemail (DOT) com >
+
+pkgname=dieharder
+pkgver=3.31.1
+pkgrel=4
+pkgdesc="A Random Number Test Suite"
+arch=('i686' 'x86_64')
+depends=('gsl')
+url="http://www.phy.duke.edu/~rgb/General/dieharder.php"
+license=('GPL')
+source=("http://www.phy.duke.edu/~rgb/General/dieharder/${pkgname}-${pkgver}.tgz"
+ 'autogen.patch'
+ 'stdint.patch')
+sha256sums=('6cff0ff8394c553549ac7433359ccfc955fb26794260314620dfa5e4cd4b727f'
+ '0df2d1957accfebba3e4083f7e1184aac10091c93f79a3174c79ebdae613831d'
+ '1ea17f15580fa9ac8831d20a3e4f5c412b8330bf2183f704371e167206497714')
+provides=('dieharder')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ patch -uN autogen.sh ../autogen.patch || return 1
+ patch -uN include/dieharder/libdieharder.h ../stdint.patch || return 1
+ ./autogen.sh
+ make -j1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}/" install
+ install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/autogen.patch b/autogen.patch
new file mode 100644
index 00000000000..5dbff812f1d
--- /dev/null
+++ b/autogen.patch
@@ -0,0 +1,29 @@
+--- autogen.sh 2011-10-14 15:41:37.000000000 +0200
++++ autogen.sh.new 2015-03-27 16:19:29.696853619 +0100
+@@ -4,16 +4,16 @@
+ # configure program. This must be done FIRST; note well that there is
+ # no Makefile to run until it is done.
+
+-# echo "Running autoheader..."
+-# autoheader
+-# echo "Running aclocal..."
+-# aclocal
+-# echo "Running libtoolize..."
+-# libtoolize
+-# rm -f Makefile Makefile.in dieharder/Makefile dieharder/Makefile.in \
+-# libdieharder/Makefile libdieharder/Makefile.in
+-# echo "Running automake..."
+-# automake --add-missing --copy --gnu
++echo "Running autoheader..."
++autoheader
++echo "Running aclocal..."
++aclocal
++echo "Running libtoolize..."
++libtoolize
++rm -f Makefile Makefile.in dieharder/Makefile dieharder/Makefile.in \
++ libdieharder/Makefile libdieharder/Makefile.in
++echo "Running automake..."
++automake --add-missing --copy --gnu
+
+ echo "Running autoreconf..."
+ autoreconf
diff --git a/stdint.patch b/stdint.patch
new file mode 100644
index 00000000000..75fbc65125b
--- /dev/null
+++ b/stdint.patch
@@ -0,0 +1,10 @@
+--- include/dieharder/libdieharder.h 2011-10-14 15:41:37.000000000 +0200
++++ include/dieharder/libdieharder.h.new 2015-03-27 16:34:40.978860858 +0100
+@@ -13,6 +13,7 @@
+ #include <stdlib.h>
+ #include <stdarg.h>
+ #include <string.h>
++#include <stdint.h>
+ #include <sys/time.h>
+
+ /* This turns on uint macro in c99 */